Package org.apache.sling.rewriter

## Interface PipelineConfiguration

All Superinterfaces:
  `ProcessorConfiguration`

    public interface PipelineConfiguration
    extends ProcessorConfiguration

Configuration of a pipeline.

### Method Summary

All Methods Instance Methods Abstract Methods
`ProcessingComponentConfiguration` `getGeneratorConfiguration()` The configuration for the generator.
`ProcessingComponentConfiguration` `getSerializerConfiguration()` The configuration for the serializer.
`ProcessingComponentConfiguration[]` `getTransformerConfigurations()` The configuration for the transformers.

### Methods inherited from interface org.apache.sling.rewriter.ProcessorConfiguration

`getConfiguration, getType, match`

### Method Detail

#### getGeneratorConfiguration

    ProcessingComponentConfiguration getGeneratorConfiguration()

The configuration for the generator.

Returns:
  the configuration for the generator

#### getSerializerConfiguration

    ProcessingComponentConfiguration getSerializerConfiguration()

The configuration for the serializer.

Returns:
  the configuration for the serializer

#### getTransformerConfigurations

    ProcessingComponentConfiguration[] getTransformerConfigurations()

The configuration for the transformers.

Returns:
  the configuration for the transformers